View Issue Details

IDProjectCategoryView StatusLast Update
0002178NoesisGUIUnity3Dpublic2022-01-23 16:58
Reporterstonstad Assigned Tojsantos  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.0.12 
Target Version3.1.3Fixed in Version3.1.3 
Summary0002178: Text Wrapping Algorithm Breaks Words Strangely
DescriptionThe text "Genesis Torpedo" is wrapped as:

"Genesis T
orpedo"

OK.

But then "Genesis XTorpedo" is wrapped as
"Genesis
XTorpedo".

See attached screenshots.


Steps To ReproduceCan be reproduced with the following xaml

<Grid 
  xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
  xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
  Background="White">
  <Border Width="200" VerticalAlignment="Center" Background="LightGreen">
    <TextBlock HorizontalAlignment="Center" VerticalAlignment="Center" TextAlignment="Center" TextWrapping="Wrap" Text="Genesis Torpedo" FontSize="30" FontFamily="Arial" Foreground="Black"/>
  </Border>
</Grid>
TagsNo tags attached.
PlatformAny

Activities

stonstad

stonstad

2021-11-04 22:24

reporter  

Genesis Torpedo.png (4,510,409 bytes)
stonstad

stonstad

2021-11-04 22:25

reporter  

Genesis XTorpedo.png (4,395,399 bytes)
stonstad

stonstad

2022-01-10 19:22

reporter   ~0007722

Are there any possible work-arounds for this behavior? i.e. no break tags or some way to predict when the behavior might manifest? Thank you!
jsantos

jsantos

2022-01-12 13:04

manager   ~0007729

Sorry, we didn't find time for this so far. I will tell you something soon
sfernandez

sfernandez

2022-01-19 19:41

manager   ~0007749

Another related issue with text wrapping and trimming can be reproduced with the following xaml, it is incorrectly applying trimming to "Keyboard":
<Grid 
  xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
  xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">
  <Border Width="190" Background="WhiteSmoke" HorizontalAlignment="Center" VerticalAlignment="Center">
    <TextBlock Text="Show Keyboard" HorizontalAlignment="Center" TextAlignment="Center" TextWrapping="Wrap" TextTrimming="CharacterEllipsis" MaxWidth="171" FontSize="22" FontFamily="./#Poppins" Foreground="Black"/>
  </Border>
</Grid>
Poppins-Regular.zip (70,118 bytes)

Issue History

Date Modified Username Field Change
2021-11-04 22:24 stonstad New Issue
2021-11-04 22:24 stonstad File Added: Genesis Torpedo.png
2021-11-04 22:25 stonstad File Added: Genesis XTorpedo.png
2021-11-11 12:45 sfernandez Assigned To => jsantos
2021-11-11 12:45 sfernandez Status new => assigned
2021-11-11 12:45 sfernandez Target Version => 3.1.2
2021-11-11 12:45 sfernandez Description Updated
2021-11-11 12:45 sfernandez Steps to Reproduce Updated
2021-11-11 12:45 sfernandez Platform => Any
2021-12-06 17:36 jsantos Target Version 3.1.2 => 3.1.3
2022-01-10 19:22 stonstad Note Added: 0007722
2022-01-12 13:04 jsantos Note Added: 0007729
2022-01-19 19:41 sfernandez Note Added: 0007749
2022-01-19 19:41 sfernandez File Added: Poppins-Regular.zip
2022-01-23 16:58 jsantos Status assigned => resolved
2022-01-23 16:58 jsantos Resolution open => fixed
2022-01-23 16:58 jsantos Fixed in Version => 3.1.3